---
title: 'WebGL2RenderingContext.uniformMatrix[234]x[234]fv()'
slug: Web/API/WebGL2RenderingContext/uniformMatrix
tags:
  - API
  - Method
  - Reference
  - WebGL
  - WebGL2
---
<div>{{APIRef("WebGL")}}</div>

<p>The <strong><code>WebGL2RenderingContext.uniformMatrix[234]x[234]fv()</code></strong> methods of the <a href="/en-US/docs/Web/API/WebGL_API">WebGL 2 API</a> specify matrix values for uniform variables.</p>

<div class="note">
<p>There are no <code>2x2</code>, <code>3x3</code>, and <code>4x4</code> versions of this method. They are abbreviated in <code>2</code>, <code>3</code>, and <code>4</code>, respectively. See the syntax below.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">void gl.uniformMatrix2fv(location, transpose, data, optional srcOffset, optional srcLength);
void gl.uniformMatrix3x2fv(location, transpose, data, optional srcOffset, optional srcLength);
void gl.uniformMatrix4x2fv(location, transpose, data, optional srcOffset, optional srcLength);
void gl.uniformMatrix2x3fv(location, transpose, data, optional srcOffset, optional srcLength);
void gl.uniformMatrix3fv(location, transpose, data, optional srcOffset, optional srcLength);
void gl.uniformMatrix4x3fv(location, transpose, data, optional srcOffset, optional srcLength);
void gl.uniformMatrix2x4fv(location, transpose, data, optional srcOffset, optional srcLength);
void gl.uniformMatrix3x4fv(location, transpose, data, optional srcOffset, optional srcLength);
void gl.uniformMatrix4fv(location, transpose, data, optional srcOffset, optional srcLength);
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt>location</dt>
 <dd>A {{domxref("WebGLUniformLocation")}} object containing the location of the uniform attribute to modify.</dd>
 <dt>transpose</dt>
 <dd>A {{domxref("GLboolean")}} specifying whether to transpose the matrix. Must be <code>false</code>.</dd>
 <dt>data</dt>
 <dd>A {{jsxref("Float32Array")}} of float values.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>None.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">gl.uniformMatrix2x3fv(loc, false, [1, 2, 3, 4, 5, 6]);</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebGL2', "#3.7.8", "uniformMatrix")}}</td>
   <td>{{Spec2('WebGL2')}}</td>
   <td>Initial definition for WebGL.</td>
  </tr>
  <tr>
   <td>{{SpecName('OpenGL ES 3.0', "glUniform.xhtml", "glUniformMatrix")}}</td>
   <td>{{Spec2('OpenGL ES 3.0')}}</td>
   <td>Man page of the (similar) OpenGL API.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("api.WebGL2RenderingContext.uniformMatrix2fv")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("WebGLRenderingContext.uniformMatrix()")}}</li>
</ul>
